commit: 7acbc0ca79a50064ea77d8cfeb3e3785d5eae9aa
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 24 03:13:46 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Sep 24 03:13:46 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7acbc0ca
dev-python/rfc3161-client: Bump to 1.0.5
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/rfc3161-client/Manifest | 1 +
.../rfc3161-client/rfc3161-client-1.0.5.ebuild | 128 +++++++++++++++++++++
2 files changed, 129 insertions(+)
diff --git a/dev-python/rfc3161-client/Manifest
b/dev-python/rfc3161-client/Manifest
index 4c95ca1cc9a0..5b91672e4867 100644
--- a/dev-python/rfc3161-client/Manifest
+++ b/dev-python/rfc3161-client/Manifest
@@ -40,6 +40,7 @@ DIST rand_chacha-0.9.0.crate 18258 BLAKE2B
aa0efd158877a116b2587177f2da84832ba81
DIST rand_core-0.9.0.crate 23441 BLAKE2B
8f1543e2f33622edba457c340bdb4c266f8a3c9cdd95a3afaadf487f8dca7760548316227c1decc481a7e1ca5475f6915cfadb1ffd3860631c7a91494ea7f25a
SHA512
def4746229c8405ceb46eb9300838918693f17a39a749e6ca42ad73fd02b0f0e14dca0dd26b3f030338db45da0d149d8c563d95cbd71c31995c5ab6294bd087a
DIST rfc3161-client-1.0.3.gh.tar.gz 56144 BLAKE2B
7ddfa2bfd837eb3d07a782f38e288bcb448e3a2d694e1d8aff1ccc4ea899df43d3dbff34fe46e67a3785db95c502e58cdbc1b06f712ed5717105519e70a3764a
SHA512
b40b813c4fa6f348a330400b4a11be36cd2b31e4620c5141d522b005f80de329f5c07ff5ef7b83fc5e4c3be4fa7ee7a452d58b45c8811d9cd52cf6d4a630956b
DIST rfc3161-client-1.0.4.gh.tar.gz 57899 BLAKE2B
b1abb505dedf010383988dbeb2dd5cfb49ef19a5d3b479d6c6253458b21a745bc300b34e90dcf37e286c7284d9588091b290d7c37dfc53ab2548cb332f37fe86
SHA512
96bf1ff902ad9280d7af6e7e337adea7e70da84169938db3291c8c50db4accd2cecb90d7d8ed1c72062132b05edef35ccceb06106aff23c8379047b359fe813f
+DIST rfc3161-client-1.0.5.gh.tar.gz 57950 BLAKE2B
d17595ef21abda0c49f15a0e06250015afb67bf297a605a19a439e8b43154f817d888406521a0a046b008d4c073fdf8316c9ee0f3e2e70691a8ab2c8f3de18fa
SHA512
720dcf6f1aca60c6204da47ef63c4d08ba9bc61d7d4d3a253ddf67955e0ee034600c12743df102378dde48b28cf1e7a4cf631d5bf5662ccf493f402bd85346c2
DIST self_cell-1.2.0.crate 16883 BLAKE2B
56bd187fabc138c530aa23dfc69a330a7d0a8f86609801924fd1f4b0cefc43a99a8ba21d05e59272c9d32b83405b4c980df4f01e529772b760a9564dd8eb0c0a
SHA512
41addc9b737d0379c0236b1821d6051d31dca6a76f463e6e56c3bac9015da4243f9fedc3d57e051f68f6f0aa610383a0b2cade07b1ea17e92173e2088a625af0
DIST sha2-0.10.9.crate 29271 BLAKE2B
1d614e0efe085cdb40e05726578a9b4ca6bce93f6d3324f5dc0444cb37054912cdaf5d28d468eac2c0046030d920fced2ccd006953b80865ce8a2d43ef3daa81
SHA512
963adeeb4ed8b0e7fc19085e8721ea13e9b3aea5d115ca1b3dbca495ad14810c6450991dd3753807c293c415aaeb1054b8b4124c72e7090cd9e86f09fcbb4f80
DIST shlex-1.3.0.crate 18713 BLAKE2B
18800c364d3a628f1a3125097ea82fe6286550c2997235df0bf8483a3906aacabc81308cb239887d46ba2f457cc6f8acd5aca78316707eea5098cd5666aea67d
SHA512
5c8cedbe666a14b8a0874defb9208146ce64579cde52ed483e4a794cac5dde6a24bf8d684404edff582f842e1fd4fa3fbeddbe074f191e4ec4aa517aa456fe8a
diff --git a/dev-python/rfc3161-client/rfc3161-client-1.0.5.ebuild
b/dev-python/rfc3161-client/rfc3161-client-1.0.5.ebuild
new file mode 100644
index 000000000000..b7396aea83f4
--- /dev/null
+++ b/dev-python/rfc3161-client/rfc3161-client-1.0.5.ebuild
@@ -0,0 +1,128 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=maturin
+PYTHON_COMPAT=( python3_{11..14} )
+
+CRATES="
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]+3.4.0
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]+wasi-0.2.2
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+"
+
+declare -A GIT_CRATES=(
+
[cryptography-x509]='https://github.com/pyca/cryptography;678c0c59f743e3b301fbd34f1d26112db0cc2216;cryptography-%commit%/src/rust/cryptography-x509'
+)
+
+inherit cargo distutils-r1
+
+DESCRIPTION="An Opinionated Python RFC3161 Client"
+HOMEPAGE="
+ https://github.com/trailofbits/rfc3161-client/
+ https://pypi.org/project/rfc3161-client/
+"
+# no tests in sdist, as of 0.0.4
+SRC_URI="
+ https://github.com/trailofbits/rfc3161-client/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ ${CARGO_CRATE_URIS}
+"
+
+LICENSE="Apache-2.0"
+# Dependent crate licenses
+LICENSE+="
+ Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD MIT Unicode-3.0
+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+
+RDEPEND="
+ >=dev-python/cryptography-43[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pretend[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # unpin
+ sed -i '/cryptography/s:,<[0-9]*::' pyproject.toml || die
+}
+
+python_test() {
+ epytest
+
+ # need this for (new) python versions not yet recognized by pyo3
+ local -x PYO3_USE_ABI3_FORWARD_COMPATIBILITY=1
+ cargo_src_test
+}